
# Conditional build:
%bcond_without  python2 # Python 2.x module
%bcond_without  python3 # Python 3.x module

%define	module	logilab-common
Summary:	Logilab common modules
Summary(pl.UTF-8):	Wspólne moduły Logilab
Name:		python-logilab-common
Version:	0.60.0
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	http://download.logilab.org/pub/common/%{module}-%{version}.tar.gz
# Source0-md5:	ea75cb285defc402abfe59b50f474817
URL:		http://www.logilab.org/project/logilab-common
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules >= 1:3.1
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package logilab.common contains several modules providing low
level functionalities shared among several Python projects developed
by Logilab.

%description -l pl.UTF-8
Pakiet logilab.common zawiera różne moduły dostarczające
niskopoziomową funkcjonalność wykorzystywaną przez różne pythonowe
projekty tworzone przez Logilab.

%package -n python3-%{module}
Summary:	Logilab common modules
Summary(pl.UTF-8):	Wspólne moduły Logilab
Group:		Development/Languages/Python

%description -n python3-%{module}
The package logilab.common contains several modules providing low
level functionalities shared among several Python projects developed
by Logilab.

%description -n python3-%{module} -l pl.UTF-8
Pakiet logilab.common zawiera różne moduły dostarczające
niskopoziomową funkcjonalność wykorzystywaną przez różne pythonowe
projekty tworzone przez Logilab.

%prep
%setup -q -n %{module}-%{version}

# drop python 2.5 egg deps
%{__rm} */*/*py2.5.egg

%build
%if %{with python2}
%{__python} setup.py build
%endif
%if %{with python3}
%{__python3} setup.py build --build-base=build3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__python3} setup.py build --build-base=build3 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/__init__.py
%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/

mv $RPM_BUILD_ROOT%{_bindir}/pytest{,3}
%endif

%if %{with python2}
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

# because some logilab's software depend on this package
# and some not, so they all provide the __init__.py and we
# have to remove it in dependent software
touch $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/__init__.py
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README
# isn't name too generic?
%attr(755,root,root) %{_bindir}/pytest
%dir %{py_sitescriptdir}/logilab
%{py_sitescriptdir}/logilab/__init__.py[co]
%{py_sitescriptdir}/logilab/common
%{py_sitescriptdir}/logilab_common-%{version}-py*-nspkg.pth
%{py_sitescriptdir}/logilab_common-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ChangeLog README
# isn't name too generic?
%attr(755,root,root) %{_bindir}/pytest3
%{py3_sitescriptdir}/logilab
%{py3_sitescriptdir}/logilab_common-%{version}-py*-nspkg.pth
%{py3_sitescriptdir}/logilab_common-%{version}-py*.egg-info
%endif
%changelog
* Sat Sep 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-logilab-common.git;a=log;h=master

* Sat Sep 07 2013 Jakub Bogusz <qboosh@pld-linux.org> fa7d5d5
- updated to 0.60.0
- removed obsolete 136037,137244 patches

* Tue May 28 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 42c5fd7
- Fixed some crashes under Python 3

* Mon May 27 2013 Jacek Konieczny <jajcus@jajcus.net> fc34fe6
- bconds fix

* Mon May 27 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 301ce2d
- Python3 support

* Wed May 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 608a45d
- rel 2; avoid python(abi) = 2.5 dependency

* Wed May 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d859ec7
- up to 0.59.1

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> fc5535c
- License is LGPL; use __python macro

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 1d87f75
- be more verbose directly in py_sitescriptdir

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> dc74c14
- up to 0.57.1

* Sat Sep 03 2011 Jacek Konieczny <jajcus@pld-linux.org> 2ee50a0
- Version: 0.56.1

* Mon Dec 27 2010 Patryk Zawadzki <patrys@room-303.com> e87facb
- 0.53.0

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7194057
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 787d148
- release 2

* Thu Jun 10 2010 Jacek Konieczny <jajcus@pld-linux.org> 218881f
- Version: 0.50.3

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> f120ca9
- 0.48.1

* Fri Aug 21 2009 Patryk Zawadzki <patrys@room-303.com> 3bd02ce
- 0.44.0

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 941399e
- up to 0.38.1

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 642a6a0
- release 2

* Fri May 16 2008 wrobell <wrobell@pld-linux.org> 9e30110
- ver. 0.31

* Wed Apr 02 2008 witekfl <witekfl@pld-linux.org> d6ed53d
- up to 0.30.0

